#!/bin/bash

#set -e
set -vx

echo -e "*****************************\n* Checkout TTF T012 sources\n*****************************\n"
mkdir -p ${HOME}/dev && cd ${HOME}/dev || exit 1

git clone --recurse-submodules --single-branch https://forge.etsi.org/gitlab/emergency-communications/NG112.git ETSI_Ng112
cd /home/etsi/dev/ETSI_Ng112/ttcn
git clone https://forge.etsi.org/gitlab/LIBS/LibCommon.git ./LibCommon
git clone https://forge.etsi.org/gitlab/LIBS/LibSip.git ./LibSip
git clone https://forge.etsi.org/gitlab/LIBS/LibIms.git ./LibIms
git clone -bTTF0002 https://forge.etsi.org/gitlab/LIBS/LibIts ./LibIts
cd /home/etsi/dev/ETSI_Ng112/ttcn/LibIts
rm -fr asn1 t3q xsd
cd ttcn && rm -fr BTP CAM Common DENM GeoNetworking Ipv6OverGeoNetworking IVIM MapemSpatem Pki Security SremSsem Rtcmem

echo -e "*****************************\n* Set up environment\n*****************************\n"
cd /home/etsi/dev/ETSI_Ng112/scripts
ln -sf /home/etsi/dev/ETSI_Ng112/scripts/devenv.bash.ubuntu /home/etsi/devenv.bash
. /home/etsi/devenv.bash
echo -e "*****************************\n* Apply patched \n*****************************\n"
cd /home/etsi/dev/ETSI_Ng112
cp ./ttcn/patch_lib_common_titan/module.mk ./ttcn/LibCommon/
cp ./ttcn/patch_lib_common_titan/*.ttcn ./ttcn/LibCommon/
cp ./ttcn/patch_lib_http/*.ttcn ./ttcn/LibIts/ttcn/Http/
cp ./ttcn/patch_ims_titan/*.ttcn ./ttcn/LibIms/ttcn/
cp ./ttcn/patch_sip_titan/*.ttcn ./ttcn/LibSip/ttcn/
cp ./ttcn/patch_sip_titan/module.mk ./ttcn/LibSip/
cp  ./ttcn/patch_lib_its/module.mk ./ttcn/LibIts/

echo -e "*****************************\n* Build Mec test suite\n*****************************\n"
export ATS=AtsNg112
make

echo -e "*****************************\n* Init Eclipse Workspace\n*****************************\n"

